%define upstream_name    PerlIO-Util
%define upstream_version 0.72

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 28

Summary:    A selection of general PerlIO utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Ticket/Display.html?id=74539
Patch0:     PerlIO-Util-0.72-fix_refcount_test.patch

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl-devel
%description
'PerlIO::tee' provides a multiplex output stream like 'tee(1)'. It makes a
filehandle write to one or more files (or scalars via the ':scalar' layer)
at the same time.

You can use 'push_layer()' (defined in 'PerlIO::Util') to add a _source_ to
a filehandle. The _source_ may be a file name, a scalar reference, or a
filehandle. For example:

	$fh->push_layer(tee => $file);    # meaning "> $file"
	$fh->push_layer(tee => ">>$file");# append mode
	$fh->push_layer(tee => \$scalar); # via :scalar
	$fh->push_layer(tee => \*OUT);    # shallow copy, not duplication

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p 1 -b .refcount

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test || :

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.720.0-28.mga10
+ Revision: 2235073
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.720.0-27.mga10
+ Revision: 2128045
- Rebuild for patchN deprecation

* Thu Aug 22 2024 neoclust <neoclust> 0.720.0-26.mga10
+ Revision: 2088201
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.720.0-25.mga10
+ Revision: 2010593
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.720.0-24.mga9
+ Revision: 1862287
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.720.0-23.mga9
+ Revision: 1795992
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.720.0-22.mga9
+ Revision: 1727009
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.720.0-21.mga8
+ Revision: 1595140
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.720.0-20.mga8
+ Revision: 1530013
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.720.0-19.mga8
+ Revision: 1433874
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.720.0-18.mga7
+ Revision: 1293653
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.720.0-17.mga7
+ Revision: 1249870
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.720.0-16.mga7
+ Revision: 1166189
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.720.0-15.mga7
+ Revision: 1149911
- Rebuild for perl ABI changes

* Mon Jul 24 2017 neoclust <neoclust> 0.720.0-14.mga7
+ Revision: 1130039
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.720.0-13.mga6
+ Revision: 1031977
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.720.0-12.mga6
+ Revision: 957884
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.720.0-11.mga6
+ Revision: 845131
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.720.0-10.mga6
+ Revision: 841811
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.720.0-9.mga5
+ Revision: 740988
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.720.0-8.mga5
+ Revision: 731895
- ignore testsuite faillures
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ jquelin <jquelin>
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.720.0-5.mga4
+ Revision: 524928
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.720.0-4.mga4
+ Revision: 431730
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.720.0-3.mga3
+ Revision: 371788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 jquelin <jquelin> 0.720.0-2.mga3
+ Revision: 252213
- fix refcount test
- rebuild for perl 5.16

* Mon Jun 13 2011 jquelin <jquelin> 0.720.0-1.mga2
+ Revision: 105705
- update to 0.72
+ sander85 <sander85>
- Rebuild for perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.710.0-1.mga1
+ Revision: 22760
- cleaning spec file
- imported package perl-PerlIO-Util


* Fri Jan 14 2011 cpan2dist 0.71-1mdv
- initial mdv release, generated with cpan2dist
